
Figure - Bug #116439
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现ANR: com.android.systemui:screenshot
2023-02-22 11:12 - CD Test赵飞

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-14

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 与 Bug #116438  产生原因一致，无需处理。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.systemui:screenshot (pid 3958)

ANR in com.android.systemui:screenshot

PID: 3958

Reason: Input dispatching timed out (a5ca2d6 ScreenshotAnimation (server) is not responding. Waited 5000ms for

FocusEvent(hasFocus=true))

Frozen: false

Load: 1.44 / 1.94 / 2.09

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=676281

full avg10=0.00 avg60=0.00 avg300=0.00 total=247377

----- End output from /proc/pressure/memory -----

CPU usage from 40583ms to 0ms ago (2023-02-18 21:09:36.363 to 2023-02-18 21:10:16.946):

  9.7% 990/surfaceflinger: 7% user + 2.6% kernel / faults: 132 minor

  6.7% 861/vendor.qti.hardware.display.composer-service: 4.3% user + 2.4% kernel / faults: 66 minor

  4.9% 1209/media.codec: 1.6% user + 3.2% kernel / faults: 116 minor

  4.7% 1514/system_server: 3.1% user + 1.5% kernel / faults: 20347 minor

  4.5% 22882/com.android.documentsui: 3.6% user + 0.9% kernel / faults: 3198 minor

  3.3% 1979/com.android.systemui: 2.8% user + 0.5% kernel / faults: 1434 minor

  2.3% 17314/app_process: 1.1% user + 1.2% kernel / faults: 37 minor

  1.9% 26920/kworker/u16:21-kgsl-mementry: 0% user + 1.9% kernel

  1.3% 287/kgsl_worker_thr: 0% user + 1.3% kernel

  1.3% 31231/kworker/u16:7-kgsl_devfreq_wq: 0% user + 1.3% kernel

  1.3% 2699/adbd: 0.3% user + 0.9% kernel

...
【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_116416/Tlog.zip

Related issues:

Related to Figure - Bug # 116438: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-02-22

History

#1 - 2023-02-28 10:20 - CD FW 曹覃刚

- Due date set to 2023-03-10

- Status changed from New to ASSIGNED

#2 - 2023-02-28 14:21 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#3 - 2023-02-28 14:33 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#4 - 2023-03-02 16:35 - CD FW-廖涛

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#6 - 2023-03-09 17:17 - CD FW-廖涛

■ Current conclusion

分析中...

■ My analysis

经过分析：

ANR 发生是资源占用情况正常，通过日志分析，主线程在执行截屏音效播放，初步猜测和音频播放相关进程有关，日志见下：

"main" prio=5 tid=1 Native  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71d32108 self=0xb400007684d8abe0  | sysTid=3958 nice=0 cgrp=default sched=0/0

handle=0x78479f54f8  | state=S schedstat=( 120045727 31091825 145 ) utm=5 stm=6 core=2 HZ=100  | stack=0x7ffb2ab000-0x7ffb2ad000 stackSize=8188KB  | held

mutexes=

  native: #00 pc 00000000000a1c88  /apex/com.android.runtime/lib64/bionic/libc.so (_ioctl+8)

  native: #01 pc 000000000005b8d4  /apex/com.android.runtime/lib64/bionic/libc.so (ioctl+156)

  native: #02 pc 0000000000053070  /system/lib64/libbinder.so (android::IPCThreadState::talkWithDriver(bool)+292)

  native: #03 pc 00000000000542ac  /system/lib64/libbinder.so (android::IPCThreadState::waitForResponse(android::Parcel*, int*)+64)

  native: #04 pc 0000000000053ff0  /system/lib64/libbinder.so (android::IPCThreadState::transact(int, unsigned int, android::Parcel const&, android::Parcel*, unsigned

int)+224)

  native: #05 pc 000000000004bafc  /system/lib64/libbinder.so (android::BpBinder::transact(unsigned int, android::Parcel const&, android::Parcel*, unsigned int)+196)

  native: #06 pc 000000000001b3d0  /system/lib64/audioflinger-aidl-cpp.so

(android::media::BpAudioFlingerService::registerClient(android::sp<android::media::IAudioFlingerClient> const&)+928)

  native: #07 pc 000000000009faf0  /system/lib64/libaudioclient.so (android::AudioFlingerClientAdapter::registerClient(android::sp<android::media::IAudioFlingerClient>

const&)+112)

  native: #08 pc 000000000005dc58  /system/lib64/libaudioclient.so (android::AudioSystem::get_audio_flinger() (.cfi)+1556)

  native: #09 pc 0000000000085cd0  /system/lib64/libaudioclient.so (android::AudioTrack::createTrack_l()+68)

  native: #10 pc 000000000008afa0  /system/lib64/libaudioclient.so (android::AudioTrack::set(audio_stream_type_t, unsigned int, audio_format_t, audio_channel_mask_t,

unsigned long, audio_output_flags_t, void ()(int, void, void*), void*, int, android::sp<android::IMemory> const&, bool, audio_session_t,
android::AudioTrack::transfer_type, audio_offload_info_t const*, android::content::AttributionSourceState const&, audio_attributes_t const*, bool, float, int)+1736)

  native: #11 pc 0000000000082c88  /system/lib64/libaudioclient.so (android::AudioTrack::AudioTrack(audio_stream_type_t, unsigned int, audio_format_t,

audio_channel_mask_t, android::sp<android::IMemory> const&, audio_output_flags_t, void ()(int, void, void*), void*, int, audio_session_t,

android::AudioTrack::transfer_type, audio_offload_info_t const*, android::content::AttributionSourceState const&, audio_attributes_t const*, bool, float)+812)

  native: #12 pc 000000000000ef20  /system/lib64/libsoundpool.so (android::soundpool::Stream::play_l(std::_1::shared_ptr<android::soundpool::Sound> const&, int, float,

float, int, int, float, android::sp<android::AudioTrack>*)+1008)

  native: #13 pc 000000000000ea58  /system/lib64/libsoundpool.so (android::soundpool::Stream::playPairStream()+392)

  native: #14 pc 0000000000010288  /system/lib64/libsoundpool.so

(android::soundpool::StreamManager::queueForPlay(std::__1::shared_ptr<android::soundpool::Sound> const&, int, float, float, int, int, float)+904)

  native: #15 pc 000000000000d5e4  /system/lib64/libsoundpool.so (android::SoundPool::play(int, float, float, int, int, float)+452)

  at android.media.SoundPool._play(Native method)

  at android.media.SoundPool.play(SoundPool.java:316)

  at android.media.MediaActionSound$1.onLoadComplete(MediaActionSound.java:274)

  at android.media.SoundPool$EventHandler.handleMessage(SoundPool.java:556)

  at android.os.Handler.dispatchMessage(Handler.java:106)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

■ Next action

继续分析

#7 - 2023-03-10 10:23 - CD FW-廖涛

- Due date changed from 2023-03-10 to 2023-03-14

#8 - 2023-03-10 17:56 - CD FW 曹覃刚

初步分析跟116438的原因相同

依赖116438的分析结果

#9 - 2023-03-15 17:23 - CD FW-廖涛

■ My analysis

根据以上分析，当前 BUG 产生原因和 Bug #116438 相同，而根据 Bug #116438 分析，连上中控后 Bug #116438 未复现。

■ Next action

麻烦测试同步验证下当前 BUG。

#10 - 2023-03-15 17:25 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Need_Info changed from -- to TEST

#11 - 2023-03-22 10:14 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛
3.22

连上中控后3个版本未复现此问题

#12 - 2023-03-22 13:38 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

- Root cause set to 与 Bug #116438  产生原因一致，无需处理。

与 Bug #116438  产生原因一致，无需处理。

#13 - 2023-03-23 10:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#14 - 2023-03-23 10:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
